REM http://download.osgeo.org/proj/proj-5.0.0RC4.tar.gz
REM http://download.osgeo.org/proj/proj-datumgrid-1.6RC1.zip

set P=proj
set V=5.0.0RC4
set B=1

set ARCH=%1

if "%ARCH%"=="x86" (
	set OSGEO4W_ROOT=C:\OSGeo4W
	set VCARCH=x86
) else (
	set OSGEO4W_ROOT=C:\OSGeo4W64
	set VCARCH=x64
)

set R=..\..\..\%ARCH%\release\%P%
mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" %VCARCH%
echo on
path %pf%\Microsoft Visual Studio 14.0\Common7\IDE;%PATH%;c:\cygwin\bin

set INSTDIR=%CD%
del /s /q bin etc include lib share

if not exist 5.0.0-patched patch -p1 -d .. <5.0.0.diff >5.0.0-patched

cd ..
nmake /f makefile.vc clean PROJ_LIB_DIR=%CD:\=\\%
if errorlevel 1 (echo clean error & goto exit)

nmake /f makefile.vc PROJ_LIB_DIR=%CD:\=\\%
if errorlevel 1 (echo build error & goto exit)

REM cd src
REM nmake /f makefile.vc nadshift
REM if errorlevel 1 (echo build error & goto exit)
REM cd ..

nmake /f makefile.vc INSTDIR=%INSTDIR% install-all
if errorlevel 1 (echo install error & goto exit)

cd osgeo4w
copy ..\COPYING %R%\%P%-%V%-%B%.txt

copy setup.hint %R%\setup.hint

mkdir etc etc\ini share\proj
copy ini.bat etc\ini\proj.bat
copy ..\src\projects.h include
move share\* share\proj

tar cjf %R%\%P%-%V%-%B%.tar.bz2 ^
	bin ^
	include ^
	lib ^
	etc ^
	share/proj/
if errorlevel 1 (echo pkg tar error & goto exit)

tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/ini.bat osgeo4w/package.cmd osgeo4w/setup.hint osgeo4w/5.0.0.diff
if errorlevel 1 (echo src tar error & goto exit)

exit

:exit
exit /b 1
